<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <!-- Override KDS Dashboard Action to exclude pending online orders -->
    <record id="dine360_kds.action_kds_dashboard" model="ir.actions.act_window">
        <field name="domain">[
            ('product_id.is_kitchen_item', '=', True), 
            ('product_id.name', '!=', 'Water'), 
            ('order_id.session_id.state', '!=', 'closed'), 
            '|', ('product_id.pos_categ_ids', '=', False), ('product_id.pos_categ_ids.name', '!=', 'Drinks'),
            '|', ('order_id.is_online_order', '=', False), ('order_id.online_order_status', '!=', 'pending')
        ]</field>
    </record>
</odoo>
